# Indstillinger

1. Introduktion
2. [Tidsskrift](settings.md#context)
3. [Website](settings.md#website)
4. [Workflow](settings.md#workflow)
5. [Distribuering](settings.md#distribution)

Konfigurér dit website i overensstemmelse med dine behov.

Du kan tilgå indstillingssiderne ved at klikke på linket ’Indstillinger’ i hovedmenuen til venstre og derfra vælge den indstillingsside, du ønsker.

Kun tidsskriftschefer og administratorer har adgang til og redigeringsret over indstillingssiderne.

Her mangler endnu en del. Vi er i gang med at forbedre denne dokumentation, men her følger et hurtigt overblik over, hvad de enkelte indstillingssider kan bruges til og en mere detaljeret beskrivelse af de mest drilske valgmuligheder.

## <a name="context"></a>Tidsskrift

Her indskrives de vigtigste oplysninger om tidsskriftet inklusiv tidsskriftets navn, en kort beskrivelse, kolofonen, kontaktinformation og de tidsskriftssektioner, som indgår i det publicerede tidsskrift

Tidsskriftssektioner gør det muligt for tidsskriftet at publicere deres artikler i forskellige sektioner, som f.eks. ’Anmeldelser’ og ’Artikler’.

## <a name="website"></a>Website

Her konfigureres den læservendte del af dit website, inklusiv upload af logo, hjemmesidekonfiguration, opsætning af sidemenuer med mere.

Du kan også indstille websitets sproggrænseflader, arkiveringsopsætning, installere og aktivere plug-ins, sende beskeder ud og oprette statiske sider.

## <a name="workflow"></a>Workflow

Konfigurér alle aspekter af [det redaktionelle workflow](/editorial-workflow.md), såsom filadministration, retningslinjer og krav til indsendelser, retningslinjer og tidsfrister for bedømmere, mail-beskeder og meget mere.

Nogle af de centrale indstillinger er opdelt i detaljer nedenfor

### Materiale

Dine publiceringsfiler kan indeholde flere elementer, f.eks. en artikeltekst, forskningsmateriale, datasæt med mere

Når forfattere og redaktører uploader filer til en indsendelse, bliver de bedt om at angive filens materialetype.

Artikelmaterialefeltet indeholder et standardudvalg af materialetyper. Du opfordres til at tilføje eller redigere typerne, så det stemmer overens med dit tidsskrifts særlige behov.

Slet de materialetyper, der ikke passer til dit tidsskrift. Det vil reducere antallet af de muligheder, som forfatterne ellers slås med i forbindelse med deres første indsendelse.

### Indsendelse

Indsæt dine retningslinjer for indsendelser her. Du kan også tilrette feltet ’Tjekliste til forberedelse af manuskript’, som alle forfattere må erklære sig indforstået med for at kunne gennemføre indsendelsen.

Manuskript-metadata gør det muligt for dig at vælge hvilke typer metadata du ønsker at knytte til dit tidsskrift, og hvilke metadatafelter du ønsker at præsentere for forfatteren i forbindelse med deres indsendelse.

### Bedømmelse

Herfra kan du opsætte din bedømmelsespolitik og relaterede regler, såsom tidsfrister, beskeder, retningslinjer osv.

### Forlagsbibliotek {#forlagsbibliotek}

Forlagsbiblioteket stiller et filarkiv til rådighed, hvor du kan gemme og hurtigt dele gængse filer, såsom forfattervejledninger, forfatterkontrakter, tilladelser og marketingsmateriale.

Alt hvad der er arkiveret i forlagsbiblioteket kan hurtigt hentes frem og tilføjes til [Indsendelsesbiblioteket](/editorial-workflow.md#indsendelsesbibliotek) så det kan deles med forfattere eller medhjælpere.

### E-mails

OJS afsender en del e-mails under de forskellige trin i [det redaktionelle workflow](/editorial-workflow.md), det samme gør sig gældende ved registrering og tilbagemeldinger.

Opsætningen i dette afsnit tillader dig at redigere den signatur, der er vedhæftet hver e-mail, ligesom du kan ændre standardbeskederne i hver type e-mail.

Hvis du er usikker på, hvad den enkelte e-mail skal bruges til, kan du se hvilken kontekst, den står i, ved at klikke på pilen/trekanten til venstre for e-mailen og dernæst klikke ’Redigér e-mail’. De fleste e-mails indeholder en kort beskrivelse af den sammenhæng, de indgår i.

Hvis du ønsker at gendanne en e-mailskabelon til dens standardopsætning, skal du bruge linket ’Nulstil’.

## <a name="distribution"></a>Distribuering

Konfigurér indstillinger, der relaterer til søgemaskineindeksering, adgang, betaling og tilladelser.

Under fanebladet ’Tilladelser’ finder du indstillinger, der omhandler ophavsret og forfatterlicenser.

### Hvad er forskellen på ophavsret og licens?

Ophavsretten identificerer forfatteren eller ejeren af ophavsretten til den publicerede udgivelse, f.eks. Copyright \(c\) 2016 by Jane Smith.

Licensen, der er knyttet til en udgivelse angiver brugerrettighederne for udgivelsen, f.eks. ”Navngivelse. Du lader andre kopiere, distribuere, vise og anvende dit værk – og afledte værker baseret på det – men brugeren skal kreditere værket på den måde, du har angivet”.

